Subject: Re: [PATCH v4 2/5] t1517: test commands that are designed to be run outside repository

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 May 2024 08:08:19 -0700

Patrick Steinhardt <[email-masked]> writes:

> Is there a specific reason why this needs a whole patch suite, as
> opposed to adding the tests to the respective test suites of the
> commands?

Yes, testing out-of-repository operations needs certain trick and
people forget to write such tests using the GIT_CEILING_DIRECTORIES
mechanism.  Having one place where we have an enumeration of
commands that are designed to be usable outside repository is a
handy way to make sure that we have enough test coverage.  It would
make it easy to control how GIT_DEFAULT_HASH environment is set
during these tests to have them in all one place.